#include ONCE "window9.bi"

sub DelToolTip( iGadgetParent as Long , iGadget as Long) export
	
	dim as ListT ptr pList = pGlobalTypeWindow9->ListGadgets->firstNode
	
	while pList
	
		if pList->anyOneData = iGadget then
			
			gtk_widget_set_tooltip_text(Cast(any ptr , GadgetID(pList->anyFourData)) , 0)
			
			if pList->anyTwoData then deallocate(cast(any ptr ,pList->anyTwoData))
			
			pGlobalTypeWindow9->ListGadgets->removeNodeSub(cint(iGadget))			
			
			exit while

		EndIf
		
		pList = pList->nextNode

	Wend	

End Sub